dots.v2.apps.byApp_Id().deployments.byDeployment_id().logs.get()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.apps.byApp_Id(app_Id).deployments.byDeployment_id(deployment_id).logs.get(requestConfiguration?: RequestConfiguration<LogsRequestBuilderGetQueryParameters>): Promise<undefined | Apps_get_logs_response>Description
Retrieve the logs of a past, in-progress, or active deployment. If a component name is specified, the logs will be limited to only that component. The response will include links to either real-time logs of an in-progress or active deployment or archived logs of a past deployment.
Parameters
Path Parameters
app_Idstring requiredExample:
4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cfThe app ID
deployment_idstring requiredExample:
3aa4d20e-5527-4c00-b496-601fbd22520aThe deployment ID
Query Parameters
followboolean optionalExample:
trueWhether the logs should follow live updates.
typestring requiredThe type of logs to retrieve
- BUILD: Build-time logs
- DEPLOY: Deploy-time logs
- RUN: Live run-time logs
- RUN_RESTARTED: Logs of crashed/restarted instances during runtime
- AUTOSCALE_EVENT: Logs of an autoscaling event (requires event_id)podConnectionTimeoutstring optionalExample:
3mAn optional time duration to wait if the underlying component instance is not immediately available. Default:
3m.
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/deployments/{deployment_id}/logs in the API reference for additional detail on responses, headers, parameters, and more.